eoIBEA(3)

NAME
eoIBEA - Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm).

SYNOPSIS

#include <eoIBEA.h>

Inherits eoPerf2WorthCached< EOT, double >.

Inherited by eoIBEASorting< EOT, Fitness >.

  Public Member Functions
eoIBEA (eoBinaryQualityIndicator< Fitness > *_I)
void calculate_worths (const eoPop< EOT > &_pop)
mapping

  Protected Attributes
eoBinaryQualityIndicator< Fitness > * I
binary quality indicator to use in the selection process

Detailed Description

  template<class EOT, class Fitness> class eoIBEA< EOT, Fitness >
Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm).

Definition at line 38 of file eoIBEA.h.

Member Function Documentation

  template<class EOT, class Fitness> void eoIBEA< EOT, Fitness >::calculate_worths (const eoPop< EOT > & _pop) [inline, virtual]

mapping

Parameters:
    const eoPop<EOT>& _pop the population

Implements eoPerf2WorthCached< EOT, double >.

Definition at line 56 of file eoIBEA.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.